﻿using Infragistics.Windows.Editors;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace KB9197_WpfApp1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void xamMonthCalendar1_ExecutingCommand(object sender, Infragistics.Windows.Controls.Events.ExecutingCommandEventArgs e)
        {
            XamMonthCalendar calendar = (XamMonthCalendar)sender;

            // Command名がZoomOutCalendarMode、かつ、現在の表示単位が月単位の場合
            if (e.Command.Name == "ZoomOutCalendarMode" && calendar.CurrentCalendarMode == Infragistics.Windows.Editors.CalendarMode.Months)
            {
                // イベントをキャンセルする。
                e.Cancel = true;
            }
        }
    }
}
